module REF (
    input clk,
    input lever,
    input world_crisis,
    input inheritance,
    input [2:0] amount,
    output reg [5:0]money
);

always @(posedge clk) begin
   if (world_crisis) begin
        money <= 5'd0;
    end else if(inheritance) begin
        money <= money + amount + 1;
    end else if(lever) begin
        money <= money + 1;
    end else
        money <= money;
end

endmodule